package com.abi.qms.platform.infrastructure.config;

import com.abi.qms.platform.infrastructure.mq.TableStoreBatchInsertConsumer;
import com.abi.qms.platform.infrastructure.mq.TableStoreBatchUpdateConsumer;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * rabbitmq配置
 *
 * @author WeiganCai
 * @date: 2021-05-11
 */
@Configuration
public class RabbitmqConfig {

	@Bean(name = "qms_table_store_queue")
	public Queue declareTableBatchInsertQueue() {
		return new Queue(TableStoreBatchInsertConsumer.TABLE_STORE_BATCH_INSERT_QUEUE);
	}

	@Bean(name = "qms_table_store_box_mapping_queue")
	public Queue declareTableBatchUpdateQueue() {
		return new Queue(TableStoreBatchUpdateConsumer.TABLE_STORE_BATCH_UPDATE_QUEUE);
	}

}
